5 Replies Latest reply on Jan 18, 2017 3:08 PM by kingfish

    Fifa 17 requires at least 16.3 driver version

    zlespalem

      Hello everyone.

      I have a problem with proper working Fifa 17.

      When I am running Fifa 17 appears a statement that game requires at least 16.3 driver version and with my version of driver could be problems with proper working of game.

      I have a Gigabyte Radeon HD 6850 1024 MB GDDR5 Windforce, Windows 7 64-bit.

      When I downloaded tool to automatically detecting and instal driver from AMD support website this tool searched a 15.2 version as the latest and current version.

      While running Fifa 17 with 15.2 version driver game was aborted during loading screen. On the other side on version 14.3 game was working but there were problems with graphics which precluded to play a game.

      I ask for solution this problem, but I cannot find working version of driver to my graphics card higher than 15.2. I was trying to instal a lot of version like 16.3, 16.4, 16.5 downloaded from many websites, but these drivers didn't work.